from django.urls import path
from .views import (
    create_complaint,
    complaint_list,
    mark_complaint_in_progress,
    resolve_complaint,
    create_repair_request,
    repair_list,
    approve_repair,
    reject_repair,
    add_repair_cost
)

urlpatterns = [
    # COMPLAINTS
    path('complaint/', create_complaint, name='complaint'),
    path('complaints/', complaint_list, name='complaint_list'),
    path('complaint/progress/<int:complaint_id>/', mark_complaint_in_progress, name='complaint_progress'),
    path('complaint/resolve/<int:complaint_id>/', resolve_complaint, name='resolve_complaint'),

    # REPAIRS
    path('repair/', create_repair_request, name='repair'),
    path('repairs/', repair_list, name='repair_list'),
    path('repair/approve/<int:repair_id>/', approve_repair, name='approve_repair'),
    path('repair/reject/<int:repair_id>/', reject_repair, name='reject_repair'),
    path('repair/cost/<int:repair_id>/', add_repair_cost, name='add_repair_cost'),
]